## plprofiler 4.2.1

=== Makefile ===
# Major Change History:
# 2012 - Removed from PostgreSQL plDebugger Extension
# 2015 - Resurrected as standalone plProfiler by OpenSCG
# 2016 - Rewritten as v2 to use shared hash tables, have lower overhead
#			- v3 Major performance improvements, flame graph UI

MODULE_big = plprofiler
OBJS = plprofiler.o

EXTENSION = plprofiler
DATA =	plprofiler--1.0--2.0.sql \
		plprofiler--2.0--3.0.sql \
		plprofiler--3.0--3.5.sql \
		plprofiler--3.5--4.0.sql \
		plprofiler--4.0--4.1.sql \
		plprofiler--4.1--4.2.sql \
		plprofiler--4.2.sql

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/plprofiler
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk

plprofiler.o: CFLAGS += -I$(top_builddir)/src/pl/plpgsql/src
endif

plprofiler.o: plprofiler.c plprofiler.h

=== debian/changelog ===
plprofiler (4.2.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Sun, 22 Jan 2023 18:04:53 +0100

plprofiler (4.2.1-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Wed, 23 Nov 2022 10:11:18 +0100

=== debian/control ===
Source: plprofiler
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 postgresql-server-dev-all (>= 217~),
 python3,
 python3-psycopg2,
 python3-setuptools,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/bigsql/plprofiler
Vcs-Browser: https://salsa.debian.org/postgresql/plprofiler
Vcs-Git: https://salsa.debian.org/postgresql/plprofiler.git

Package: plprofiler
Architecture: all
Provides:
 python3-plprofiler,
Recommends:
 postgresql-plprofiler,
Depends:
 python3-psycopg2,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: PostgreSQL PL/pgSQL functions performance profiler
 The plprofiler is an extension for the PostgreSQL database system to create
 performance profiles of PL/pgSQL functions and stored procedures. The included
 external Python class and command line utility can be used to easily control
 the extension, run arbitrary SQL commands (invoking PL/pgSQL functions), save
 and manage the resulting performance datasets and create HTML reports from
 t.
 This package contains the Python module and the plprofiler CLI util.

Package: postgresql-15-plprofiler
Architecture: any
Provides:
 postgresql-plprofiler,
Recommends:
 plprofiler,
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL PL/pgSQL functions performance profiler
 The plprofiler is an extension for the PostgreSQL database system to create
 performance profiles of PL/pgSQL functions and stored procedures. The included
 external Python class and command line utility can be used to easily control
 the extension, run arbitrary SQL commands (invoking PL/pgSQL functions), save
 and manage the resulting performance datasets and create HTML reports from
 them.
 .
 This package contains the PostgreSQL server extension.

## plprofiler 4.2.2

=== debian/changelog ===
plprofiler (4.2.2-1) unstable; urgency=medium

  * New version with PG16 support.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 13:24:34 +0200

## plprofiler 4.2.4

=== debian/changelog ===
plprofiler (4.2.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Sep 2023 10:36:24 +0200

plprofiler (4.2.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 17:58:12 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3,
  python3-psycopg2,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/bigsql/plprofiler
 Vcs-Browser: https://salsa.debian.org/postgresql/plprofiler
@@ -37,7 +37,7 @@
  t.
  This package contains the Python module and the plprofiler CLI util.
 
-Package: postgresql-15-plprofiler
+Package: postgresql-16-plprofiler
 Architecture: any
 Provides:
  postgresql-plprofiler,

## plprofiler 4.2.5

=== Makefile ===

MODULE_big = plprofiler
OBJS = plprofiler.o

EXTENSION = plprofiler
DATA =	plprofiler--4.1--4.2.sql \
		plprofiler--4.2.sql

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/plprofiler
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk

plprofiler.o: CFLAGS += -I$(top_builddir)/src/pl/plpgsql/src
endif

plprofiler.o: plprofiler.c plprofiler.h

=== debian/changelog ===
plprofiler (4.2.5-4) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117319)
  * Add ${postgresql:Breaks}.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:17:02 +0200

plprofiler (4.2.5-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Sep 2024 22:27:13 +0200

plprofiler (4.2.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:21:27 +0200

plprofiler (4.2.5-1) unstable; urgency=medium

  * New upstream version 4.2.5.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Aug 2024 15:24:46 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  postgresql-server-dev-all (>= 217~),
  python3,
  python3-psycopg2,
  python3-setuptools,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/bigsql/plprofiler
 Vcs-Browser: https://salsa.debian.org/postgresql/plprofiler
 Vcs-Git: https://salsa.debian.org/postgresql/plprofiler.git
@@ -28,6 +28,8 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL PL/pgSQL functions performance profiler
  The plprofiler is an extension for the PostgreSQL database system to create
  performance profiles of PL/pgSQL functions and stored procedures. The included
@@ -37,7 +39,7 @@
  t.
  This package contains the Python module and the plprofiler CLI util.
 
-Package: postgresql-16-plprofiler
+Package: postgresql-18-plprofiler
 Architecture: any
 Provides:
  postgresql-plprofiler,
@@ -47,6 +49,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL PL/pgSQL functions performance profiler
  The plprofiler is an extension for the PostgreSQL database system to create
  performance profiles of PL/pgSQL functions and stored procedures. The included

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs,python3

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=python-plprofiler --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --sourcedirectory=python-plprofiler --buildsystem=pybuild
	dh_auto_build --buildsystem=pgxs

override_dh_auto_install:
	dh_auto_install --sourcedirectory=python-plprofiler --buildsystem=pybuild
	dh_auto_install --buildsystem=pgxs

override_dh_pgxs_test:
	# defer testing to autopkgtest

=== debian/tests/control ===
Depends:
 @,
Tests:
 plprofiler,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts=uversionmangle=s/_BETA/~beta/;s/_/./g \
https://github.com/bigsql/plprofiler/tags .*/REL(.*).tar.gz
